Page MenuHomePhabricator

efl_ui_widget: we should ensure that every subobject is a gfx entity
ClosedPublic

Authored by bu5hm4n on Apr 1 2019, 6:02 AM.

Details

Summary

we are calling visible_set on them later on, this will drop errors,
additionally this safes us from checking this in the widget-container
code.

Depends on D8417

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Apr 1 2019, 6:02 AM
segfaultxavi requested changes to this revision.Apr 1 2019, 6:38 AM

You probably meant "ensure that every subobject is a GFX entity", right? 😁

This revision now requires changes to proceed.Apr 1 2019, 6:38 AM
bu5hm4n updated this revision to Diff 21114.Apr 1 2019, 9:20 AM
bu5hm4n retitled this revision from efl_ui_widget: we should ensure that every subobject is a gdb entity to efl_ui_widget: we should ensure that every subobject is a gfx entity.
bu5hm4n edited the summary of this revision. (Show Details)

Review Comments

segfaultxavi accepted this revision.Apr 1 2019, 10:57 AM

Maketh sense.

This revision is now accepted and ready to land.Apr 1 2019, 10:57 AM
bu5hm4n updated this revision to Diff 21204.Apr 3 2019, 2:39 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase

cedric accepted this revision.Apr 3 2019, 9:04 AM
Closed by commit rEFLadc51e882c5e: efl_ui_widget: we should ensure that every subobject is a gfx entity (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyApr 17 2019, 6:21 AM
This revision was automatically updated to reflect the committed changes.